<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module PUBLIC "-//Puppy Crawl//DTD Check Configuration 1.3//EN" "http://www.puppycrawl.com/dtds/configuration_1_3.dtd">

<!--
    This configuration file was written by the eclipse-cs plugin configuration editor
-->
<!--
    Checkstyle-Configuration: iam-depliegue
    Description: none
-->
<module name="Checker">
  <property name="severity" value="warning"/>
  <property name="localeCountry" value="ES"/>
  <property name="localeLanguage" value="es"/>
  
  <module name="RegexpSingleline">
      <property name="severity" value="warning"/>
      <property name="format" value="page session"/>
  </module>
        
  <module name="RegexpSingleline">
      <property name="severity" value="warning"/>
      <property name="format" value="isThreadSafe"/>
  </module>
      
  <module name="TreeWalker">
   
  <property name="severity" value="error"/>
 
    <module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="@Resource"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
 
	<module name="Regexp">
      <property name="severity" value="warning"/>
      <property name="format" value="Thread\.yield"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
	
    <module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.out"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
    
    <module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.err"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
	
	<module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.load"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
	
   <module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.loadLibrary"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>

	<module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.setIn"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
	
	<module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.setOut"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
	
    <module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.setErr"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
	
	<module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="System\.setSecurityManager"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
	
    <module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="setMaxInactiveInterval"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
       
    <module name="Regexp">
      <property name="severity" value="error"/>
      <property name="format" value="SingleThreadModel"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>  
    
    <module name="Regexp">
      <property name="severity" value="warning"/>
      <property name="format" value="Thread\.sleep"/>
      <property name="illegalPattern" value="true"/>
      <property name="ignoreComments" value="true"/>
    </module>
    
  </module>    
  
</module>
